@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@100;200;300;400;500;600;700;800;900&family=Poppins:ital,wght@0,400;1,200;1,300;1,400&display=swap');
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family:  'Poppins', sans-serif;
}
header{
	height: 100vh;
	width: 300px;
	padding: 15px 30px;
	background-color: black;
	overflow: auto;
	position: fixed;
	left: 0;
	top: 0;
	bottom: 0;
	transition: 0.4s;
	z-index: 99;
}
header .profile{
	text-align: center;
	margin: 10px 0;
}
header .profile img{
	width: 150px;
	height: 150px;
	border-radius: 7%;
	border:10px white;
}
header .profile h1{
	padding-top: 10px;
	padding-bottom: 10px;
	color: white;
	font-size: 30px;
}
.social-icons a{
	display: inline-block;
	width: 40px;
	height: 40px;
	border-radius: 50%;
	text-align: center;
	line-height: 40px;
	background-color: #2C2F3F;
	color: white;
	font-size: 25px;
	margin: 1.5px;
	margin-top: 20px;
	margin-right: 10px;

	

}
.social-icons a:hover{
 	background-color: #00A78E;
 }

/* navbar*/
header nav{
	margin-top: 30px;
}
header nav ul li{
	list-style: none;
}
header nav ul li a{
	display: inline-block;
	text-decoration: none;
	padding: 7px 10px;
	margin: 7px 0;
	color: lightgray;
	font-weight: 40px;
	font-size: 15px;
	letter-spacing: 0.6px;
}
header nav ul li a i{
	margin-right: 10px;
	font-size: 20px;
	transition: 0.4s;
}
header nav ul li a:hover i{
	color:#00A78E;
}
header .footer{
	text-align: center;
	color: lightgray;
	font-size: 7px;
	padding-top: 15px;
}
#MenuBtn{
	position: fixed;
	top: 25px;
	right: 25px;
	font-size: 20px;
	width: 40px;
	height: 40px;
	color: white;
	background-color: #00A78E;
	text-align: center;
	line-height: 42px;
	border-radius: 50%;
	box-shadow:  0 0 20px rgba(0, 0, 0, 20%);
	display: none;
	z-index: 999;
}

@media only screen and (max-width:1050px){
	header{
		left: -300px;
	}
	header .footer{
		left: -300px;
	}
	#MenuBtn{
		display: block;
	}
}

.mobile-nav-active header{
	left: 0;
}
.mobile-nav-active .footer{
	left: 0;
}

/*header toggle*/

.mobile-nav-active header{
	left: 0;
}
.mobile-nav-active header .footer{
	left: 0;
}
/*header End*/

/*main Section*/

main{
	margin-left: 300px;
	background-color: #F7F7F7;
	transition: 0.3s;
}
@media only screen and (max-width:1050px){
	main{
		margin-left: 0px;
		margin-right: 0px;
	}
}

/*Home Section*/

#home{
	height: 100vh;
	width: 100%;
	background-image: url(img/flat-lay-workstation-with-copy-space-laptop.jpg);
	background-size: cover;
	background-attachment: fixed;
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding: 70px;
	position: relative;
}
#home .home-row{
	z-index: 1;
}
#home .home-row h1{
	font-size: 50px;
	color: white;
	font-weight: 600;
	letter-spacing: -1px;
	margin-bottom: 10px;
	line-height: 70px;
}
#home .home-row h1 span{
	color: #00A78E;
	font-weight: 600;
	font-size: 35px;
}
#home .home-row p{
	color: whitesmoke;
	font-size: 30px;
	font-weight: 600;
}
.btn{
	height: 45px;
	width: 180px;
	background-color: lightgray;
	border-radius: 10px;
	margin-top: 25px;
	border-inline: none;
	font-size: 15px;
}
.btn:hover{
	background-color: #00A78E;
}

/* ------about Section------ */
.about{
    padding: 80px 0;
    background-image: url(img/32582886_rrt1.jpg);
    color: white;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-left: 40px;
}

.about-col-2{
    flex-basis: 60%;
}
.text{
    font-size: 18px;
}
.sub-title{
    font-size: 60px;
    font-weight: 600;
    
}
.tab-titles{
    display: flex;
    margin: 20px 0 40px;
}
.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ff004f;
    position: absolute;
    left: 0;
    bottom: -5px;
    transition: 0.5s;
}
.tab-links.active-link::after{
    width: 50%;
}
.tab-contents ul li{
    list-style: none;
    margin:10px 0;

}
.tab-contents ul li span{
    color: #ff004f;
    font-size: 17px;
    font-weight: 25px;
}
.tab-contents{
    display: none;
}
.tab-contents.active-tab{
     display: block;
}
@media only screen and (max-width:600px){
	.sub-title{
		font-size: 40px;
		margin-bottom: 20px;
	}
	.about-col-2{
		flex-basis: 100%;
		font-size: 14px;
	}
  .tab-links{
  	font-size: 16px;
  	margin-right: 4px;
  	padding-left: 10px;
  } 
  .row{
  	margin-left: 5px;
  } 

}
/* -----------portfolio section-------- */
.portfolio{
     background-image: url('img/black-smooth-textured-paper-background.jpg');
     color: white;
}
.sub-title{
		font-size: 40px;
}
.work{
    justify-content: center;
    box-sizing: content-box;
    width: 100%;
    background-color: antiquewhite;
    padding: 5px;
    border-radius: 10px;
    
    
}
.work img{
	height: 150px;
	width: 100%;
}

.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
    grid-gap: 50px;
    margin-top: 50px;
    margin-left: 20px;
    margin-right: 30px;

}
.work h2{
    font-size: 25px;
    padding: 15px 0 15px 0;
    color: black;
}
.work button{
    margin-bottom: 15px;
    color: black;
}

.btn-2{
    width: 100px;
    height: 30px;
    color:white;
    font-size: 12px;
    background-color:#ff004f;
    border-radius: 12px;
    margin-right: 10px;
}
.btn-2:hover{
    background-color: #00A78E;
}
.button-1{
    width: 120px;
    height: 40px;
    background-color: #ff004f;
    border-radius: 7px;
}
.btn-3{
    padding-left: 150%;
    color: white;
}


/* -----------contact section---------- */
#contact{
	background-image: url('img/32582886_rrt1.jpg');
	color: white;
	padding-right: 30px;

}
.container{
	padding-top: 100px;
	padding-bottom: 100px;

}
.contact-left{
    flex-basis: 35%;
    
}
.contact-right{
    flex-basis: 60%;
}
.contact-left p{
    margin-top: 30px;
}
.contact-left p i{
    margin-right: 15px;
    font-size: 25px;
}
.social-icons{
    margin-top: 30px;
}
.social-icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    display: inline-block;
}

.btn-6{
   
    background: #262626;
    height: 40px;
    width: 80px;
    border-radius: 7px;
    color: white;
}
.btn-6:hover{
    background-color: #00A78E;
}
.contact-right form{
    width: 100%;
}
form input,form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color: #c7c406;
    font-size: 18px;
    border-radius: 7px;

}
@media only screen and (max-width:600px){
	.sub-title{
		font-size: 25px;
	}
	#contact{
		display: flex;
    align-items: center;
    justify-content: center;
	}

}